jQuery(document).ready(function(){
    (function($){
        /* Menu */
        $('.ual_pro_admin_type_nav a').on('click',function(){
            var ctarget=$(this).attr('data-target');
            $('#ualp-filter-typeshow option[svalue='+ctarget+']').attr('selected','selected');
            $('.ual_pro_admin .filter-btn-cover .button').trigger('click');
        });
        /*Dashboard Widget */

        if($('#ualpAllowDashbordWidget').prop("checked") == true ){
            $('.number_of_widget_logs').show();
        }
        $(document).on('change','#ualpAllowDashbordWidget',function(){
             if(this.checked) {
                $('.number_of_widget_logs').show();
             } else{
                $('.number_of_widget_logs').hide();
             }
        });
        ///
    }(jQuery))
});

jQuery(window).resize(function(){
    ualpToogleColumsInResponsive();
});
jQuery(document).ready(function() {
    jQuery('.js-example-basic-multiple').select2();
    jQuery(".chosen-filter").select2({dir: ualpJSObject.is_rtl});
    // ualpDisplayUsersBy();
    ualpEmailNotificationDisplayUsersBy();
    ualpRoleDisplayUsersBy();

//    jQuery('script').each(function () {
//        var src = jQuery(this).attr('src');
//        if (typeof src !== typeof undefined && src !== false) {
//            if (src.search('bootstrap.js') !== -1 || src.search('bootstrap.min.js') !== -1) {
//                var bootstrapButton = jQuery.fn.button.noConflict();
//                jQuery.fn.bootstrapBtn = bootstrapButton;
//            }
//        }
//    });

    var date = jQuery('#ualp-filter-date').val();
    if(date === 'custom'){
        jQuery('.custom-date').show();
    }else{
        jQuery('.custom-date').hide();
    }
    jQuery('#ualp-filter-date').on('change',function(){
        var date = jQuery(this).val();
        if(date === 'custom'){
            jQuery('.custom-date').fadeIn();
        }else{
            jQuery('.custom-date').fadeOut();
        }
    });
    var showhook = jQuery('#ualp-filter-showhook').val();
    if(showhook === 'transition_post_status'){
        jQuery('.custom-hook').show();
    }else{
        jQuery('.custom-hook').hide();
    }
    jQuery('#ualp-filter-showhook').on('change',function(){
        var hook = jQuery(this).val();
        if(hook === 'transition_post_status'){
            jQuery('.custom-hook').fadeIn();
        } else {
            jQuery('.custom-hook').fadeOut();
        }
    });
    jQuery('.ualp_add_new_trigger_btn').click(function() {
        var rows = jQuery('.ualp_custom_trigger_tr').length;
        var selectrow = rows + 1;
        var new_row = '<tr class="ualp_custom_trigger_tr">';
        new_row += '<td><span>Trigger With<br/></span><select name="custom_trigger_operator_with[]" class="chosen-filter" required><option value="AND">AND</option><option value="OR">OR</option></select></td>';
        new_row += '<td class="newjsload"><span>Trigger Name : </span><br/><select name="custom_trigger_name[]" class="chosen-filter custom_trigger_name" ><option value="user_id">User ID</option><option value="user_name">User Name</option><option value="ip_address">Ip Address</option><option value="user_role">User Role</option><option value="hook">Activity</option></select></td>';
        new_row += '<td><span>Trigger with : </span><br/><select name="custom_trigger_with[]" class="chosen-filter" required><option value="equal">Is Equal</option><option value="not_equal">Not Equal</option></select></td>';
        new_row += '<td class="custom_trigger_value_tr"><span>Trigger Value : <br/></span><div class="ualp_custom_trigger_value"><select name="custom_trigger_value_' + selectrow + '[]" class="chosen-filter" multiple required></select></div></td>';
        new_row += '<td class="ulap_last_column"><span title="Remove" class="ualp_remove_trigger_btn dashicons dashicons-trash"></span></td>';
        new_row += '</tr>';
        jQuery('.custom_trigger_table').append(new_row);
        jQuery(".chosen-filter").select2();
        jQuery('.ualp_remove_trigger_btn').attr('style', 'padding-top: 12px !important');
        jQuery('.ualp_remove_trigger_btn').click(function() {
            jQuery(this).closest('tr').remove();

        });
        jQuery('.newjsload select[name="custom_trigger_name[]"]').change();
        jQuery(".ualp_custom_trigger_tr td").removeClass(".newjsload");
    });
    jQuery("#ualp-filter-showposttype").change(function () {
        var posttypeval = jQuery(this).val();
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'get_post_type_post_list',
                posttype: posttypeval,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function (response) {
                console.log(response);
                jQuery('.ualp-filter-allpost').html('');
                jQuery('.ualp-filter-allpost').html(response);
                jQuery('.chosen-filter').select2();
            }
        });
    });
    var reportshowhook = jQuery('#ualp-report-showhook').val();
    if ( jQuery.inArray( 'transition_post_status', reportshowhook) !== -1) {
        jQuery('.custom-report-hook').show();
    }else{
        jQuery('.custom-report-hook').hide();
    }
    jQuery('#ualp-report-showhook').on('change',function(){
        var hook = jQuery(this).val();
        if ( jQuery.inArray( 'transition_post_status', hook) !== -1) {
            jQuery('.custom-report-hook').fadeIn();
        } else {
            jQuery('.custom-report-hook').fadeOut();
        }
    });
    jQuery("#ualp-report-showposttype").change(function () {
        var posttypeval = jQuery(this).val();
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'get_report_post_type_post_list',
                posttype: posttypeval,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function (response) {
                console.log(response);
                jQuery('.ualp-report-allpost').html('');
                jQuery('.ualp-report-allpost').html(response);
                jQuery('.chosen-filter').select2();
            }
        });
    });
   
    jQuery('.email_user_role').on('change', function () {
        ualpEmailNotificationDisplayUsersBy() 
    });
    var start_time = jQuery('.start-date.datepicker').val();

    jQuery('.start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.end-date.datepicker').val("");
            jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);
        },
        onSelect: function (date) {
            start_time = jQuery('.start-date.datepicker').val();
            jQuery('.end-date.datepicker').val("");
            jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);
        }
    });

    jQuery(".end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.custom_date_msg').show();
                jQuery('.end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);

            }
        }
    });
    jQuery('.report-start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.report-end-date.datepicker').val("");
            jQuery('.report-end-date.datepicker').datepicker('option', 'minDate', start_time);
        },
        onSelect: function (date) {
            start_time = jQuery('.report-start-date.datepicker').val();
            jQuery('.report-end-date.datepicker').val("");
            jQuery('.report-end-date.datepicker').datepicker('option', 'minDate', start_time);
        }
    });

    jQuery(".report-end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.report-start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.report-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.report-start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.custom_date_msg').show();
                jQuery('.report-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.report-end-date.datepicker').datepicker('option', 'minDate', start_time);

            }
        }
    });
    jQuery('.custom-login-date').hide();
    var login_date = jQuery('#ualp-login-filter-date').val();
    if(login_date === 'custom'){
        jQuery('.custom-login-date').show();
    }else{
        jQuery('.custom-login-date').hide();
    }
    jQuery('#ualp-login-filter-date').on('change',function(){
        var login_date = jQuery(this).val();
        if(login_date === 'custom'){
            jQuery('.custom-login-date').fadeIn();
        }else{
            jQuery('.custom-login-date').fadeOut();
        }
    });

    var login_start_time = jQuery('.login-end-date.datepicker').val();

    jQuery('.login-start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.login-end-date.datepicker').val("");
            jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);
        },
        onSelect: function (date) {
            login_start_time = jQuery('.login-start-date.datepicker').val();
            jQuery('.login-end-date.datepicker').val("");
            jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);
        }
    });

    jQuery(".login-end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.login-start-date.datepicker').val() == "") {
                jQuery('.login_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.login_custom_date_msg').fadeIn('slow');
                jQuery('.login-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.login_custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.login-start-date.datepicker').val() == "") {
                jQuery('.login_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.login_custom_date_msg').fadeIn('slow');
                jQuery('.login_custom_date_msg').show();
                jQuery('.login-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.login_custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);

            }
        }
    });
    jQuery('.custom-logout-date').hide();
    var logout_date = jQuery('#ualp-logout-filter-date').val();
    if(logout_date === 'custom'){
        jQuery('.custom-logout-date').show();
    }else{
        jQuery('.custom-logout-date').hide();
    }
    jQuery('#ualp-logout-filter-date').on('change',function(){
        var logout_date = jQuery(this).val();
        if(logout_date === 'custom'){
            jQuery('.custom-logout-date').fadeIn();
        }else{
            jQuery('.custom-logout-date').fadeOut();
        }
    });

    var logout_start_time = jQuery('.logout-end-date.datepicker').val();

    jQuery('.logout-start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.logout-end-date.datepicker').val("");
            jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);
        },
        onSelect: function (date) {
            logout_start_time = jQuery('.logout-start-date.datepicker').val();
            jQuery('.logout-end-date.datepicker').val("");
            jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);
        }
    });

    jQuery(".logout-end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.logout-start-date.datepicker').val() == "") {
                jQuery('.logout_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.logout_custom_date_msg').fadeIn('slow');
                jQuery('.logout-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.logout_custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.logout-start-date.datepicker').val() == "") {
                jQuery('.logout_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.logout_custom_date_msg').fadeIn('slow');
                jQuery('.logout_custom_date_msg').show();
                jQuery('.logout-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.logout_custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);

            }
        }
    });
    jQuery(".user-activity-log_page_ualp_settings #dialogPassword #deleteLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validPassword();
        }
    });
    jQuery(".toplevel_page_ual_pro #dialogPassword #deleteLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validBulkPassword();
        }
    });
    jQuery(".toplevel_page_ual_pro #dialogSinglePassword #deleteSingleLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validSinglePassword();
        }
    });

    jQuery('.reset_delete_log_passwd').click(function () {
        if (!confirm(ualpJSObject.reset_confirm)) {
            return false;
        }
        var btn = this;
        setTimeout(function () { jQuery(btn).attr('disabled', 'disabled'); }, 1);
        return true;
    });

    jQuery('.ualp_view').on("click", ualpViewAjaxCall);

    var ualp_detail_view = jQuery(".ualp_view_details_ajax").dialog({
        resizable: false,
        autoOpen: false,
        height: "auto",
        width: '700', // overcomes width:'auto' and maxWidth bug
        maxWidth: '100%',
        modal: true,
        draggable: false,
        dialogClass: 'ualp-view-ui-dialog',
        open: function(event, ui) {
            jQuery('.ui-widget-overlay').bind('click', function() {
                ualp_detail_view.dialog("close");
            });
        },
        hide: {
            effect: "fadeOut",
            duration: 500
        },
        close: function() {
            ualp_detail_view.dialog("close");
        }
    });
    jQuery('.ualpFavorite').click(function() {
        var selected = 'yes';
        var logID = jQuery(this).attr('id');
        if (jQuery(this).hasClass('selected')) {
            jQuery(this).removeClass('selected');
            selected = 'no';
            jQuery(this).attr('title', 'No');
        } else {
            jQuery(this).addClass('selected');
            jQuery(this).attr('title', 'Yes');
        }
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualpFavoriteLog',
                post: logID,
                featured: selected,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    jQuery('.ualp-session-expire').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        var t_session = jQuery(this).attr('data-t_session');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualp_session_expire',
                userID: userID,
                t_session: t_session,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    
    jQuery('.ualp-session-expire-all').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualp_session_expire',
                userID: userID,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    
    jQuery('.ualp-session-expire-except').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        var t_session = jQuery(this).attr('data-t_session');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualp_session_expire',
                userID: userID,
                t_session: t_session,
                except : 'yes',
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function(data) {
                location.reload();
            },
        });
    });

    jQuery('.ualpCheckAllNotify').click(function() {
        if (jQuery(this).is(':checked')) {
            jQuery('input[type="checkbox"].ualpCheckUserNotify').prop('checked', true);
        } else {
            jQuery('input[type="checkbox"].ualpCheckUserNotify').prop('checked', false);
        }
    });

    jQuery('.ualpCheckUserNotify').click(function() {
        if (!jQuery(this).is(':checked')) {
            jQuery('input[type="checkbox"].ualpCheckAllNotify').prop('checked', false);
        }
    });

    ualpToogleColumsInResponsive();

    ualpHookGroup('post_type');
    ualpHookGroup('taxonomy');
    ualpHookGroup('plugin');
    ualpHookGroup('contactForm');
    ualpHookGroup('ualp');
    ualpHookGroup('users');
    ualpHookGroup('theme');
    ualpHookGroup('comment');
    ualpHookGroup('menu');
    ualpHookGroup('view');
    ualpHookGroup('other');
    ualpHookGroup('woocommerce');
    ualpHookGroup('buddypress');
    ualpHookGroup('gravityforms');
    ualpHookGroup('wordfence');
    ualpHookGroup('wordpressseo');
    ualpHookGroup('blog-designer-pro');
    ualpHookGroup('portfolio_designer');
    ualpHookGroup('all_in_one_reservation');
    ualpHookGroup('wc_checkout_fields_editor');
    ualpHookGroup('edd');
    ualpHookGroup('bbpress');
    ualpHookGroup('autoptimize');
    ualpHookGroup('xoousers');
    ualpHookGroup('user_switching');

    jQuery('#ualpHookSettings tr.woocommerce input[type="checkbox"]').click(function() {
        ualpHookGroup('woocommerce');
    });
    jQuery('#ualpHookSettings tr.buddypress input[type="checkbox"]').click(function() {
        ualpHookGroup('buddypress');
    });
    jQuery('#ualpHookSettings tr.gravityforms input[type="checkbox"]').click(function() {
        ualpHookGroup('gravityforms');
    });
    jQuery('#ualpHookSettings tr.wordfence input[type="checkbox"]').click(function() {
        ualpHookGroup('wordfence');
    });
    jQuery('#ualpHookSettings tr.wordpressseo input[type="checkbox"]').click(function() {
        ualpHookGroup('wordpressseo');
    });
    jQuery('#ualpHookSettings tr.blog-designer-pro input[type="checkbox"]').click(function() {
        ualpHookGroup('blog-designer-pro');
    });
    jQuery('#ualpHookSettings tr.portfolio_designer input[type="checkbox"]').click(function() {
        ualpHookGroup('portfolio_designer');
    });

    jQuery('#ualpHookSettings tr.all_in_one_reservation input[type="checkbox"]').click(function() {
        ualpHookGroup('all_in_one_reservation');
    });
    jQuery('#ualpHookSettings tr.wc_checkout_fields_editor input[type="checkbox"]').click(function() {
        ualpHookGroup('wc_checkout_fields_editor');
    });
    jQuery('#ualpHookSettings tr.edd input[type="checkbox"]').click(function() {
        ualpHookGroup('edd');
    });
    jQuery('#ualpHookSettings tr.bbpress input[type="checkbox"]').click(function() {
        ualpHookGroup('bbpress');
    });
    jQuery('#ualpHookSettings tr.autoptimize input[type="checkbox"]').click(function() {
        ualpHookGroup('autoptimize');
    });
    jQuery('#ualpHookSettings tr.xoousers input[type="checkbox"]').click(function() {
        ualpHookGroup('xoousers');
    });
    jQuery('#ualpHookSettings tr.user_switching input[type="checkbox"]').click(function() {
        ualpHookGroup('user_switching');
    });


    jQuery('#ualpHookSettings tr.post_type input[type="checkbox"]').click(function() {
        ualpHookGroup('post_type');
    });
    jQuery('#ualpHookSettings tr.taxonomy input[type="checkbox"]').click(function() {
        ualpHookGroup('taxonomy');
    });
    jQuery('#ualpHookSettings tr.plugin input[type="checkbox"]').click(function() {
        ualpHookGroup('plugin');
    });
    jQuery('#ualpHookSettings tr.contactForm input[type="checkbox"]').click(function() {
        ualpHookGroup('contactForm');
    });
    jQuery('#ualpHookSettings tr.ualp input[type="checkbox"]').click(function() {
        ualpHookGroup('ualp');
    });
    jQuery('#ualpHookSettings tr.users input[type="checkbox"]').click(function() {
        ualpHookGroup('users');
    });
    jQuery('#ualpHookSettings tr.theme input[type="checkbox"]').click(function() {
        ualpHookGroup('theme');
    });
    jQuery('#ualpHookSettings tr.comment input[type="checkbox"]').click(function() {
        ualpHookGroup('comment');
    });
    jQuery('#ualpHookSettings tr.menu input[type="checkbox"]').click(function() {
        ualpHookGroup('menu');
    });
    jQuery('#ualpHookSettings tr.view input[type="checkbox"]').click(function() {
        ualpHookGroup('view');
    });
    jQuery('#ualpHookSettings tr.other input[type="checkbox"]').click(function() {
        ualpHookGroup('other');
    });
    jQuery('#ualpHookSettings tr.groupHeader input[type="checkbox"]').click(function() {
        var hookGroup = jQuery(this).attr('data-hookGroup');
        if (jQuery(this).is(':checked')) {
            jQuery('#ualpHookSettings .' + hookGroup + ' input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#ualpHookSettings .' + hookGroup + ' input[type="checkbox"]').prop('checked', false);
        }
    });
    jQuery('#ualpHookSettings input[name="hook[]"]').click(function() {
        var object_type = jQuery(this).attr('data-type');
        if (!jQuery(this).is(':checked')) {
            alert(ualpJSObject.note_for_uncheck+' ' + object_type);
        }
    });
    jQuery('.ualp_delete_email, .ualp_delete_sms').click(function() {
        alert("Do you want to delete the record?");
    });
    jQuery('#activity-filter #check input[type="checkbox"]').click(function() {
        if (jQuery(this).is(':checked')) {
            jQuery('#activity-filter input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#activity-filter input[type="checkbox"]').prop('checked', false);
        }
    });
    var Count = 0;
    var Check = 0;
    var Uncheck = 0;
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').each(function() {
        Count++;
        if (jQuery(this).is(':checked')) {
            Check++;
        } else {
            Uncheck++;
        }
    });
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').click(function() {
        var Count = 0
        var Check = 0;
        var Uncheck = 0;
        jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').each(function() {
            Count++;
            if (jQuery(this).is(':checked')) {
                Check++;
            } else {
                Uncheck++;
            }
        });
        if (Count == Check) {
            jQuery('#activity-filter th.column-check input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#activity-filter th.column-check input[type="checkbox"]').prop('checked', false);
        }
    });
    var pathName = window.location.search;
    var firstPart= pathName.replace('?page=', '');
    var splitUrlArray = firstPart.split('&'); 
    var page = splitUrlArray[0]; 
    if(page === 'ualp_db_integration' &&
            ((window.localStorage.getItem("lasttab") !== 'ualp_db_settings') ||
        (window.localStorage.getItem("lasttab") !== 'ualp_db_migrate'))
        ){
        window.localStorage.setItem("lasttab", 'ualp_db_settings');
        jQuery('.ualpParentTabs .ualp_db_settings').addClass('nav-tab-active');
        jQuery('#ualp_db_settings').show();
    } else if(page === 'ualp_email_setting' &&
            ((window.localStorage.getItem("lasttab") !== 'ualp_email_notification_settings') ||
        (window.localStorage.getItem("lasttab") !== 'ualpTriggerSettings'))
        ){
        window.localStorage.setItem("lasttab", 'ualpTriggerSettings');
        jQuery('.ualpParentTabs .ualpTriggerSettings').addClass('nav-tab-active');
        jQuery('#ualpTriggerSettings').show();
    }  else if(page === 'ualp_reports' &&
            ((window.localStorage.getItem("lasttab") !== 'ualp_generate_reports') ||
        (window.localStorage.getItem("lasttab") !== 'ualp_statistics_reports'))
        ){
        window.localStorage.setItem("lasttab", 'ualp_generate_reports');
        jQuery('.ualpParentTabs .ualp_generate_reports').addClass('nav-tab-active');
        jQuery('#ualp_generate_reports').show();
    } else if((page !== 'ualp_db_integration' || page !== 'ualp_email_setting' || page !== 'ualp_reports') &&
        (window.localStorage.getItem("lasttab") === null) ||
        (window.localStorage.getItem("lasttab") === 'ualp_db_settings') ||
        (window.localStorage.getItem("lasttab") === 'ualp_db_migrate') ||
        (window.localStorage.getItem("lasttab") === 'ualp_generate_reports') ||
        (window.localStorage.getItem("lasttab") === 'ualp_statistics_reports') ||
        (window.localStorage.getItem("lasttab") === 'ualp_email_notification_settings') ||
        (window.localStorage.getItem("lasttab") === 'ualpTriggerSettings')) {
        window.localStorage.setItem("lasttab", 'ualpHookSettings');
        jQuery('.ualpParentTabs .ualpHookSettings').addClass('nav-tab-active');
        jQuery('#ualpHookSettings').show();
    }
    //settings tab script
    if (window.localStorage.getItem("lasttab") == null ||
        (window.localStorage.getItem("lasttab") !== 'ualp_general_settings' &&
        window.localStorage.getItem("lasttab") !== 'ualpUsersSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpPwdSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualp_custom_event_settings' &&
        window.localStorage.getItem("lasttab") !== 'ualp_exclude_log' &&
        window.localStorage.getItem("lasttab") !== 'ualpHookSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualp_db_settings' &&
        window.localStorage.getItem("lasttab") !== 'ualp_generate_reports' &&
        window.localStorage.getItem("lasttab") !== 'ualp_statistics_reports' &&
        window.localStorage.getItem("lasttab") !== 'ualp_email_notification_settings' &&
        window.localStorage.getItem("lasttab") !== 'ualpTriggerSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualp_db_migrate' &&
        window.localStorage.getItem("lasttab") !== 'ualpGoogleSheets'
        )) {
        jQuery('.ualpParentTabs .nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
        jQuery('.ualpContentDiv').hide();
        if(page == 'ualp_db_integration'){
            window.localStorage.setItem("lasttab", 'ualp_db_settings');
            jQuery('.ualpParentTabs .ualp_db_settings').addClass('nav-tab-active');
            jQuery('#ualp_db_settings').show();
        } else if(page == 'ualp_email_setting'){
            window.localStorage.setItem("lasttab", 'ualpTriggerSettings');
            jQuery('.ualpParentTabs .ualpTriggerSettings').addClass('nav-tab-active');
            jQuery('#ualpTriggerSettings').show();
        } else if(page == 'ualp_reports'){
            window.localStorage.setItem("lasttab", 'ualp_generate_reports');
            jQuery('.ualpParentTabs .ualp_generate_reports').addClass('nav-tab-active');
            jQuery('#ualp_generate_reports').show();
        } else if(page !== 'ualp_db_integration' || page !== 'ualp_email_setting' || page !== 'ualp_reports') {
            window.localStorage.setItem("lasttab", 'ualpHookSettings');
            jQuery('.ualpParentTabs .ualpHookSettings').addClass('nav-tab-active');
            jQuery('#ualpHookSettings').show();
        }
    } else {
        jQuery('.ualpParentTabs .nav-tab-wrapper a').removeClass('nav-tab-active');
        jQuery('.' + window.localStorage.getItem("lasttab")).addClass('nav-tab-active');
        jQuery('.ualpContentDiv').hide();
        jQuery('#' + window.localStorage.getItem("lasttab")).show();
    }
    jQuery('.ualpParentTabs .nav-tab-wrapper a').click(function(e) {
        e.preventDefault();
        // jQuery('.ualpAdminNotice.is-dismissible').hide();
        var this_tab = jQuery(this);
        var data_href = jQuery(this).attr('data-href');
        jQuery('.ualpContentDiv').hide();
        if (jQuery('#' + data_href + ' .js-example-basic-multiple').hasClass('report-multiple')) {
            jQuery('.js-example-basic-multiple').select2();
        } else {
            jQuery('.chosen-filter').select2();
        }
        jQuery('#' + data_href).show();
        jQuery('.nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
        this_tab.addClass('nav-tab-active');
        if (window.localStorage) {
            window.localStorage.setItem("lasttab", data_href);
        }
    });
    jQuery('.nav-tab-active-sms').trigger('click');
    jQuery('thead #cb-all-exclude-select').on('click', function(){
        if (jQuery(this).attr("checked")) {
            jQuery(this).attr("checked", true);
            jQuery('.custom_exclude_log_table td').find(':checkbox').prop("checked", true); 
            jQuery('.delete_exclude_log').removeAttr("disabled");

        } else {
            jQuery(this).attr("checked", false);         
            jQuery('.custom_exclude_log_table td').find(':checkbox').prop("checked", false);  
            jQuery('.delete_exclude_log').attr("disabled",true);
        }    
    });
    jQuery('tfoot #cb-all-exclude-select').on('click', function(){
        if (jQuery(this).attr("checked")) {
            jQuery(this).attr("checked", true);
            jQuery('.custom_exclude_log_table td').find(':checkbox').prop("checked", true); 
            jQuery('.delete_exclude_log').removeAttr("disabled");

        } else {
            jQuery(this).attr("checked", false);         
            jQuery('.custom_exclude_log_table td').find(':checkbox').prop("checked", false);  
            jQuery('.delete_exclude_log').attr("disabled",true);
        }    
    });
    jQuery( 'table.custom_exclude_log_table' ).on( 'click', 'input#cb-exclude-select', function() {
        var $selectedLogRows = jQuery( 'table.custom_exclude_log_table tbody tr input#cb-exclude-select:checked' ),
        $deleteLogButton = jQuery( '.delete_exclude_log' );
            if ( 0 === $selectedLogRows.length ) {
                $deleteLogButton.prop( 'disabled', true );
            } else {
                
                $deleteLogButton.prop( 'disabled', false );
            }
        }
    );
    jQuery('.delete_exclude_log').click(function() {
        var $excludelogList = jQuery( 'table.custom_exclude_log_table' );
        var selectedLogRows = jQuery( 'tbody #cb-exclude-select:checked', $excludelogList ).closest( 'tr' );
        selectedLogRows.remove();
        var rows= jQuery('.custom_exclude_log_table tbody tr.log_show').length;
        if(rows == 0) {
            jQuery('.hidden_log').show();
        }
        jQuery('.custom_exclude_log_table td').find(':checkbox').prop("checked", false);  
    });
    clickDisable();
    if (jQuery('.ualpAddEmailNotication input[name="email_template"]:checked').val() == 0) {
        jQuery('.event-spacific-wrapp').hide();
    } else {
        jQuery('.event-spacific-wrapp').show();
    }
    jQuery('.ualpAddEmailNotication input[name="email_template"]').click(function () {
        if (jQuery('.ualpAddEmailNotication input[name="email_template"]:checked').val() == 0) {
            jQuery('.event-spacific-wrapp').hide();
        } else {
            jQuery('.event-spacific-wrapp').show();
        }
    });
    // Enable email notification end
    // For delete all the logs
    jQuery('.pwdErrorMsg').text('');
    jQuery('#setDeleteDataPassword').on('click', function(e) {
        e.preventDefault();
        setLogDeletePassword();
    });
    jQuery('#deleteLogData').on('click', function(e) {
        e.preventDefault();
        passwordDialog();
    });
    jQuery('#setDeletePassword a').on('click', function (e) {
        // e.preventDefault();
        jQuery('#setDeletePassword').dialog("close");
        window.localStorage.setItem("lasttab", 'ualpPwdSettings');
        jQuery('.ualpParentTabs .ualpGeneralSettings').removeClass('nav-tab-active');
        jQuery('#ualpGeneralSettings').hide();
        jQuery('.ualpParentTabs .ualpPwdSettings').addClass('nav-tab-active');
        jQuery('#ualpPwdSettings').show();
    });
    jQuery('.setDeletePassword').on('click', function(e) {
        e.preventDefault();
        setLogDeletePassword();
    });
    jQuery('.deleteSingleLog').on('click', function(e) {
        e.preventDefault();
        passwordSingleDialog();
        jQuery('.deleteSingleLog').removeClass('currentlyDelete');
        jQuery(this).addClass('currentlyDelete');
    });
    jQuery('.ualploginSettingsForm a.deleteLog').click(function(){
        var confirmmessage = confirm("Are you sure to delete this record?");
        if (confirmmessage == true){
            return true;
        } else{
            return false;
        }
    });
    jQuery( '.logPasswordProtect' ).click(function(){
        var confirmmessage = confirm("Are you sure to delete this record?");
        if (confirmmessage == true){
            return true;
        } else{
            return false;
        }
    });
    jQuery(document).on('click', '.terminate-all-sessions', function () {
        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'terminateallsessions'
            },
            success: function (data) {
                location.reload();
            },
        });
    });
    jQuery('.ualploginSettingsForm input[id="doaction"]').click(function(){
        var bulkid = jQuery('.ualploginSettingsForm input[name="id[]"]:checked').length;
        if(bulkid == 0){
            var confirmmessage = confirm("Please select records");
            if (confirmmessage == true){
                return true;
            } else {
                return false;
            }
        } else {
            var confirmmessage = confirm("Are you sure to delete selected records?");
            if (confirmmessage == true){
                return true;
            } else{
                return false;
            }
        }
       
    });
    
    jQuery('.frm-user-activity input[name="bulk_action"],#activity-filter input[name="bulk_action"]').on('click', function(e) {
        var i = 0;
        var logid = [];
        var data_id = jQuery('.wopdeleteBulkLog').attr("data-id");
        
        jQuery('.frm-user-activity input.cb-bulk-delete:checked,#activity-filter td.column-check input:checked').each(function() {
            logid[i++] = jQuery(this).val();
        });
        if (jQuery('.deleteBulkLog').val() == 'delete') {
            e.preventDefault();
            if( data_id == '' ) {
                if (logid.length <= 0) {
                    alert(ualpJSObject.log_delete);
                } else {
                    passwordBulkDialog();
                }
            } else {
                var confirmmessage = confirm("Are you sure to delete this record?");
                if (confirmmessage == true){
                    var downloadLogs = true;
                    var sendLog = false;
                    jQuery.ajax({
                        type: 'POST',
                        url: ajaxurl,
                        data: {
                            action: 'downloadBulkLog',
                            downloadLogs: downloadLogs,
                            sendLog: sendLog,
                            logid: logid,
                            nonce: ualpJSObject.ajax_nonce,
                        },
                        success: function(data) {
                            jQuery('.loader').hide();
                            if (data == '') {
                                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_for_delete_log);
                                downloadDialogbox.dialog("open");
                            }
                            if (data == 'downloadLogs') {
                                alert(ualpJSObject.log_delete_successfully);
                                location.reload();
                            }
                            
                            
                        },
                    });
                    return true;
                } else{
                    return false;
                }
            }
           
        } else if (jQuery('.deleteBulkLog').val() == 'favorite') {
            if( data_id == '' ) {
                if (logid.length <= 0) {
                    alert(ualpJSObject.favorite_log);
                }
            }
        } else if (jQuery('.deleteBulkLog').val() == 'unfavorite') {
            if( data_id == '' ) {
                if (logid.length <= 0) {
                    alert(ualpJSObject.unfavorite_log);
                }
            }
        }
        if (jQuery('.setBulkDeletePassword').val() == 'delete') {
            e.preventDefault();
            setLogDeletePassword();
        }
    });


    jQuery('body #ualpPwdSettings').on('keyup', 'input[name=password], input[name=repeatPassword]', function() {
        var size = jQuery(this).val();
        size = size.length;
        if (size > 0) {
            ualpChkPwdStrength(
                jQuery('input[name=password]'),
                jQuery('input[name=repeatPassword]'),
                jQuery('#pass-strength-result'),
                jQuery('input[name=btnSetPassword]'), [adminPwd] // blacklisted words which should not be a part of the password
            );
        }
        if (size < 1) {
            jQuery('#pass-strength-result').hide();
        } else {
            jQuery('#pass-strength-result').show();
        }
    });
    jQuery('body #ualpPwdSettings').on('keyup', 'input[name=newPassword], input[name=repeatNewPassword]', function() {
        
        var size = jQuery(this).val();
        size = size.length;
        if (size > 0) {
            ualpChkPwdStrength(
                jQuery('input[name=newPassword]'),
                jQuery('input[name=repeatNewPassword]'),
                jQuery('#change-pass-strength-result'),
                jQuery('input[name=btnSetPassword]'), [adminPwd, currentpwd] // blacklisted words which should not be a part of the password
            );
        }
        if (size < 1) {
            jQuery('#change-pass-strength-result').hide();
        } else {
            jQuery('#change-pass-strength-result').show();
        }
    });
    jQuery(document).on('click', '.email_template_wrap label', function (e) {
        e.preventDefault();
        jQuery(this).toggleClass('selected');
        jQuery(this).closest('.email_template_wrap').find('input').prop('checked', true);
        if (jQuery('.ualpAddEmailNotication input[name="email_template"]:checked').val() == 0) {
            jQuery('.event-spacific-wrapp').hide();
        } else {
            jQuery('.event-spacific-wrapp').show();
        }
    });
    jQuery('.ualpGenerateReportForm input[name="username"]').click(function () {
        if (jQuery('.ualpGenerateReportForm input[name="username"]:checked').val() == 'all') {
            jQuery('.username_type_select_wrap').hide();
        } else {
            jQuery('.username_type_select_wrap').show();
        }
    });
    jQuery('.ualpGenerateReportForm input[name="userrole"]').click(function () {
        if (jQuery('.ualpGenerateReportForm input[name="userrole"]:checked').val() == 'all') {
            jQuery('.userrole_type_select_wrap').hide();
        } else {
            jQuery('.userrole_type_select_wrap').show();
        }
    });
    jQuery('.ualpGenerateReportForm input[name="ipaddress"]').click(function () {
        if (jQuery('.ualpGenerateReportForm input[name="ipaddress"]:checked').val() == 'all') {
            jQuery('.ipaddress_type_select_wrap').hide();
        } else {
            jQuery('.ipaddress_type_select_wrap').show();
        }
    });
    jQuery('.ualpGenerateReportForm input[name="logtype"]').click(function () {
        if (jQuery('.ualpGenerateReportForm input[name="logtype"]:checked').val() == 'all') {
            jQuery('.log_type_select_wrap').hide();
        } else {
            jQuery('.log_type_select_wrap').show();
        }
    });
    jQuery('.ualpGenerateReportForm input[name="hook"]').click(function () {
        if (jQuery('.ualpGenerateReportForm input[name="hook"]:checked').val() == 'all') {
            jQuery('.hook_type_select_wrap').hide();
        } else {
            jQuery('.hook_type_select_wrap').show();
        }
    });
    jQuery('.generate_statistics_report_radio_wrap label').click(function () {
        // jQuery(this).closest('input[name="statistics_report_type"]').prop('checked', true);
        if (jQuery(this).closest('input[name="statistics_report_type"]').is(':checked')) {
            jQuery(this).closest('input[name="statistics_report_type"]').prop('checked', false);
        } else {
            jQuery(this).closest('input[name="statistics_report_type"]').prop('checked', true);
        }
    });
    if (jQuery('input[name="username"]:checked').val() == 'all') {
        jQuery('.username_type_select_wrap').hide();
    } else {
        jQuery('.username_type_select_wrap').show();
    }
    if (jQuery('input[name="userrole"]:checked').val() == 'all') {
        jQuery('.userrole_type_select_wrap').hide();
    } else {
        jQuery('.userrole_type_select_wrap').show();
    }
    if (jQuery('input[name="ipaddress"]:checked').val() == 'all') {
        jQuery('.ipaddress_type_select_wrap').hide();
    } else {
        jQuery('.ipaddress_type_select_wrap').show();
    }
    if (jQuery('input[name="logtype"]:checked').val() == 'all') {
        jQuery('.log_type_select_wrap').hide();
    } else {
        jQuery('.log_type_select_wrap').show();
    }
    if (jQuery('input[name="hook"]:checked').val() == 'all') {
        jQuery('.hook_type_select_wrap').hide();
    } else {
        jQuery('.hook_type_select_wrap').show();
    }
    jQuery(document).on('click', '.generate_report_type_value_cover label', function (e) {
        e.preventDefault();
        jQuery(this).toggleClass('selected');
        jQuery(this).closest('.generate_report_type_value_cover').find('input').prop('checked', true);
        if (jQuery('input[name="username"]:checked').val() == 'all') {
            jQuery('.username_type_select_wrap').hide();
        } else {
            jQuery('.username_type_select_wrap').show();
        }
        if (jQuery('input[name="userrole"]:checked').val() == 'all') {
            jQuery('.userrole_type_select_wrap').hide();
        } else {
            jQuery('.userrole_type_select_wrap').show();
        }
        if (jQuery('input[name="ipaddress"]:checked').val() == 'all') {
            jQuery('.ipaddress_type_select_wrap').hide();
        } else {
            jQuery('.ipaddress_type_select_wrap').show();
        }
        if (jQuery('input[name="logtype"]:checked').val() == 'all') {
            jQuery('.log_type_select_wrap').hide();
        } else {
            jQuery('.log_type_select_wrap').show();
        }
        if (jQuery('input[name="hook"]:checked').val() == 'all') {
            jQuery('.hook_type_select_wrap').hide();
        } else {
            jQuery('.hook_type_select_wrap').show();
        }
    });
    jQuery('.custom_trigger_table').on('change','.custom_trigger_name',function(e){
        e.preventDefault();
        jQuery( '.ualp_custom_trigger_tr' ).removeClass( "selected" );
        jQuery( this ).closest('.ualp_custom_trigger_tr').toggleClass( "selected" );
        var rows= jQuery('.custom_trigger_value_tr').length;
        var selectrow = rows;
        var ualp_trigger_name = jQuery(this).val();
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                ualp_trigger_name: ualp_trigger_name,
                action: 'ualp_get_trigger_name_data',
                selectrow: selectrow,
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function (response) {
                jQuery('.ualp_custom_trigger_tr.selected').find('.ualp_custom_trigger_value').html('');
                jQuery('.ualp_custom_trigger_tr.selected').find('.ualp_custom_trigger_value').html(response);
                jQuery('.chosen-filter').select2();
            }
        });
    })
    jQuery('.ualp_schedule_report_edit').click(function (e) {
        e.preventDefault();
        var id = jQuery(this).attr('data-id');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                editid: id,
                action: 'ualp_get_schedule_report_data',
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function (response) {
                var result = JSON.parse(response);
                jQuery('.generate_schedule_report_wrap').find('#ualp_report_id').val(result.data.uactrid);
                jQuery('.generate_schedule_report_wrap').find('#ualp_schedule_email').val(result.data.schedule_email_id);
                jQuery('.generate_schedule_report_wrap').find('#ualp_report_name').val(result.data.report_title);
                if (result.data.report_frequency == 'daily') {
                    jQuery('.generate_schedule_report_wrap').find('input[name="ualp_report_frequency"][value="daily"]').prop('checked', true);
                } else if (result.data.report_frequency == 'weekly') {
                    jQuery('.generate_schedule_report_wrap').find('input[name="ualp_report_frequency"][value="weekly"]').prop('checked', true);
                } else if (result.data.report_frequency == 'monthly') {
                    jQuery('.generate_schedule_report_wrap').find('input[name="ualp_report_frequency"][value="monthly"]').prop('checked', true);
                } else if (result.data.report_frequency == 'quarterly') {
                    jQuery('.generate_schedule_report_wrap').find('input[name="ualp_report_frequency"][value="quarterly"]').prop('checked', true);
                } 
            },
            complete: function () {
                jQuery('html, body').animate({
                    scrollTop: jQuery(".generate_schedule_report_wrap").offset().top - 50
                }, 500);
            }
        });
    });
    jQuery('.ualp_schedule_report_delete').click(function (e) { 
        e.preventDefault();
        var confirmmessage = confirm("Are you sure to delete this record?");
        if (confirmmessage == true){
            var id = jQuery(this).attr('data-id');
            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {
                    deleteid: id,
                    action: 'ualp_delete_schedule_report_data',
                    nonce: ualpJSObject.ajax_nonce,
                },
                success: function () { 
                    location.reload();
                }
            });
        } else{
            return false;
        }
       
    });
    jQuery('.ualp_schedule_report_send').click(function (e) { 
        e.preventDefault();
        var id = jQuery(this).attr('data-id');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                sendid: id,
                action: 'ualp_sendnow_schedule_report_data',
                nonce: ualpJSObject.ajax_nonce,
            },
            success: function (response) {
                console.log(response);
               if(response == 1 || response == 10) {
                    jQuery('.schedule_report_message').show();
               }
               if(response == 0) {
                    jQuery('.schedule_error_report_message').show();
               }
            },error: function (error) {
               console.log(error);
            }
        });
    });
});

function downloadBulkLogFile() {
    jQuery('.loader').show();
    jQuery('.pwdErrorMsg').text('');
    jQuery('#deleteLogPassword').val('');
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    var i = 0;
    var logid = [];
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]:checked').each(function() {
        logid[i++] = jQuery(this).val();
    });
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadBulkLog',
            downloadLogs: downloadLogs,
            sendLog: sendLog,
            logid: logid,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_for_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_log_delete_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_delete_success);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                alert(ualpJSObject.file_save_email_send_and_success_delete_log);
                location.reload();
            }
        },
    });
}
function validBulkPassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            var data = data.replace(/^\s*[\r\n]/gm, '');
            if (data == 'valid') {
                downloadBulkDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadBulkDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    downloadBulkLogFile();
                    downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordBulkDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogPassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validBulkPassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function downloadLogFile() {
    jQuery('.pwdErrorMsg').text('');
    jQuery('.loader').show();
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadLogFile',
            downloadLogs: downloadLogs,
            sendLog: sendLog,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_log_delete);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_send_email);
                location.reload();
            }
        },
    });
}
function validPassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            var data = data.replace(/^\s*[\r\n]/gm, '');
            if (data == 'valid') {
                downloadDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                   downloadLogFile();
                    downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogPassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validPassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function setLogDeletePassword() {
    var setpwddialog;
    setpwddialog = jQuery("#setDeletePassword").dialog({
        resizable: false,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        close: function() {
            setpwddialog.dialog("close");
        }
    });
}
function downloadSingleLogFile() {
    jQuery('.pwdErrorMsg').text('');
    jQuery('.loader').show();
    jQuery('#deleteLogPassword').val('');
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    var logid = jQuery('.currentlyDelete').attr('data-id');
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadSingleLog',
            downloadLogs: downloadLogs,
            sendLog: sendLog,
            logid: logid,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_for_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_log_delete_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_delete_success);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_email_send_and_success_delete_log);
                location.reload();
            }
        },
    });
}
function validSinglePassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteSingleLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password,
            nonce: ualpJSObject.ajax_nonce,
        },
        success: function(data) {
            if (data == 'valid') {
                var data = data.replace(/^\s*[\r\n]/gm, '');
                downloadSingleDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadSingleDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                   downloadSingleLogFile();
                   downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordSingleDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogSinglePassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validSinglePassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function ualpViewAjaxCall() {
    var logID = jQuery(this).attr('data-view');
    jQuery.ajax({
        url: ajaxurl,
        data: {
            action: 'viewDetailLog',
            logID: logID,
            nonce: ualpJSObject.ajax_nonce,
        },
        method: 'POST',
        beforeSend: function() {
            jQuery(".ualp_view_details_ajax").dialog('open');
        },
        success: function (data) {
            jQuery('.ualp_view_details_ajax').html(data);
        }
    });
}
function ualpChkPwdStrength($pwd, $confirmPwd, $strengthStatus, $submitBtn, blacklistedWords) {
    var pwd = $pwd.val();
    var confirmPwd = $confirmPwd.val();
    blacklistedWords = blacklistedWords.concat(wp.passwordStrength.userInputBlacklist())
    $strengthStatus.removeClass('short bad good strong');
    var pwdStrength = wp.passwordStrength.meter(pwd, blacklistedWords, confirmPwd);
    if(/^(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*[!@#$%&*])[a-zA-Z0-9!@#$%&*]{20,20}$/.test(pwd) != false) {
        switch (pwdStrength) {
            case 2:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('bad').html('bad');
                break;
            case 3:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('good').html('good');
                break;
            case 4:
                $submitBtn.removeAttr('disabled');
                $strengthStatus.addClass('strong').html('strong');
                break;
            case 5:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('short').html('mismatch');
                break;
            default:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('short').html('not valid');
        }
    } else {
        switch (pwdStrength) {
            case 5:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('short').html('mismatch');
                break;
            default:
                $submitBtn.attr('disabled', 'disabled');
                $strengthStatus.addClass('short').html('not valid');
        }
    }
}
function ualpHookGroup(hook) {
    var taxonomyCount = 0;
    var taxonomyCheck = 0;
    var taxonomyUncheck = 0;
    jQuery('#ualpHookSettings tr.' + hook + ' input[type="checkbox"]').each(function() {
        taxonomyCount++;
        if (jQuery(this).is(':checked')) {
            taxonomyCheck++;
        } else {
            taxonomyUncheck++;
        }
    });
    if (taxonomyCount == taxonomyCheck) {
        jQuery('#ualpHookSettings input[data-hookGroup="' + hook + '"]').prop('checked', true);
    } else {
        jQuery('#ualpHookSettings input[data-hookGroup="' + hook + '"]').prop('checked', false);
    }
}

function ualpRoleDisplayUsersBy(){
    var display_cat = jQuery('.ualpRoleSelectDisplayCat').val();
    if(display_cat === 'roles'){
        jQuery('.rolemanagerrolesList').show();
        jQuery('.rolemanageruserList').hide();
    }else{
        jQuery('.rolemanagerrolesList').hide();
        jQuery('.rolemanageruserList').show();
    }
}
function ualpEmailNotificationDisplayUsersBy(){
    var display_cat = jQuery('.email_user_role').val();
    if(display_cat === 'roles'){
        jQuery('.ualpDisplayRoles1').show();
        jQuery('.ualpDisplayUsers1').hide();

    } else if(display_cat === 'users' ){
        jQuery('.ualpDisplayRoles1').hide();
        jQuery('.ualpDisplayUsers1').show();
    }
}
function ualpToogleColumsInResponsive(){
    var windowWidth = jQuery(window).width();
    var responsive = false;
    var title = '';
    if (windowWidth < 783) {
        responsive = true;
    }
    jQuery('#the-list tr').each(function() {
        title = jQuery(this).find('td.title.column-title').text();
        if(responsive == true) {
            jQuery(this).find('td.check').find('span').remove();
            jQuery(this).find('td.check input').after('<span>'+title+'</span>');
        } else {
            jQuery(this).find('td.check').find('span').remove();
        }
    });
}
function clickDisable() {
    jQuery('.clickDisable').click(function (e) {
        e.stopPropagation();
        e.preventDefault();
        e.stopImmediatePropagation();
        return false;
    });
}
jQuery(document).ready(function() {
    jQuery('#user-role-wise').on("change", function() {
       var a = jQuery(this).val();
       jQuery('#user_role_wise_select').val(a);
       jQuery.ajax({
        url: ajaxurl,
        data: {
            action: 'getDetails',
            user_role: a,
            nonce: ualpJSObject.ajax_nonce,
        },
        method: 'POST',
        success: function (data) {
            if( jQuery(data).find('.user-role-data').length == 1 ) {
                jQuery('.user-role-data').css('display','inline');
                var b = jQuery(data).find('.user-role-data').html();
                jQuery('.user-role-data').html(b);
            }
        }
        });
    });
    jQuery('.user-role-data').on("change", function() {
        var a = jQuery(this).val();
        jQuery('#user_role_select').val(a);
        var b = jQuery('#user_role_wise_select').val();
        jQuery.ajax({
            url: ajaxurl,
            data: {
            action: 'getDetails',
            user_role_data: a,
            user_role: b,
            nonce: ualpJSObject.ajax_nonce,
            },
            method: 'POST',
            success: function (data1) {
            var b = jQuery('<form>' + data1 + '</form>').find('.ualp_chat_date_value').val();
            jQuery('.ualp_chat_date_value').val(b);
            var ctx = document.getElementById('myChart').getContext('2d');
            var chartLabels =  JSON.parse( jQuery(".ualp_chat_label").val() );
            var myChart = new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: chartLabels,
                    datasets: [{
                        label: '',
                        data: JSON.parse( b ),
                        backgroundColor: "rgba(52, 64, 80, 1)",
                        hoverBackgroundColor: "rgba(77, 92, 113, 1)",
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    legend: {
                            display: false
                        },
                    scales: {
                        yAxes: [{
                            ticks: {
                                beginAtZero: true
                            }
                        }],
                        xAxes: [{
                                display: true
                            }]
                    }
                }
            });
            }
        });
    });

    jQuery('.debug_actions .debug_log_fixed').on('click', function() {
    jQuery(this).closest('.debug_log_data').hide();
    });
    jQuery('.button.send_email_log').on("click", function() {
    jQuery("#email_popup").dialog({
        modal: true,
        autoOpen: true,
        show: {effect: "blind", duration: 800}
    });
    });

    jQuery('select[name="logs_failed_login"]').on('change', function() {
        if( 'no' == jQuery(this).val() ) {
            jQuery('.no_of_failed_login').hide();
        } else {
            jQuery('.no_of_failed_login').show();
        }
    });
    if( 'no' == jQuery('select[name="logs_failed_login"]').val() ) {
        jQuery('.no_of_failed_login').hide();
    } else {
        jQuery('.no_of_failed_login').show();
    }
});